summaryrefslogtreecommitdiff
path: root/dev-db
diff options
context:
space:
mode:
authorMichael Weber <xmw@gentoo.org>2015-08-11 00:21:29 +0200
committerMichael Weber <xmw@gentoo.org>2015-08-11 00:21:55 +0200
commit91763de7d6b5375befcd00ad33af11277c15b699 (patch)
tree1da047182843dc67d83590cbc6d03eec3cdaa417 /dev-db
parentdev-util/fatrace: version bump (bug 553940, thanks DrSlony). (diff)
downloadgentoo-91763de7d6b5375befcd00ad33af11277c15b699.tar.gz
gentoo-91763de7d6b5375befcd00ad33af11277c15b699.tar.bz2
gentoo-91763de7d6b5375befcd00ad33af11277c15b699.zip
dev-db/sqlitebrowser: version bump (bug 554034).
Package-Manager: portage-2.2.20
Diffstat (limited to 'dev-db')
-rw-r--r--dev-db/sqlitebrowser/Manifest1
-rw-r--r--dev-db/sqlitebrowser/files/sqlitebrowser-3.7.0-unbundle.patch18
-rw-r--r--dev-db/sqlitebrowser/sqlitebrowser-3.7.0.ebuild60
3 files changed, 79 insertions, 0 deletions
diff --git a/dev-db/sqlitebrowser/Manifest b/dev-db/sqlitebrowser/Manifest
index 7c2b4ba5b84..de294c2d38b 100644
--- a/dev-db/sqlitebrowser/Manifest
+++ b/dev-db/sqlitebrowser/Manifest
@@ -1,3 +1,4 @@
DIST sqlitebrowser-3.3.1.tar.gz 818842 SHA256 5113d3b4c219585fe017047556363d4934b2b3e3f7c3f0968b87e9eac0156d22 SHA512 3cb44631f39b1c1a90b86502761826830054f440509faaece36052958af361185d41335f763499cec5fc005cc90eb7be403c4ac2a5cec655fe63d989434880bc WHIRLPOOL c4ab107ac97800c14ce788e4742beb528f40c74dc787217fdc9fe5dc1f0d8a67b97cd3fc9e6842b54e321d287fff925f050a20d22fbfe5e7491d4c2140c1f6de
DIST sqlitebrowser-3.5.1.tar.gz 874540 SHA256 d7f3d1e54882ebabab3b2f7764a6bb921d4fe319db84a092147c941ce19feb8d SHA512 815665002932a606c7e1da8738be0d94a0b2bf330042af30d5b4033ce27c548fec1a05b51f2a11a7620d4e123961ba63595b60aec7eac716e5d3747bb90886e2 WHIRLPOOL 1b8984eefe730ef468fc64bff1465de3a5b273e3e1594916f05cbe07bec315126001b42cc05d6a3c153aaaccab39bdafa29d31f83fceba6aa7697df7ff870462
DIST sqlitebrowser-3.6.0.tar.gz 1453029 SHA256 221a410a3ec8512a766ed8bc4cade1f3b1cde94e41e52743d5a6d2a33acb3a56 SHA512 ae4a0bb9ac8ff01ec965ae264a41fe7749672cd6562f0ce5e5b69007ea403fff5dcc4f90be3ffa4d9b7d1dc293767f2ca7757de55895f56efbe6b7be0e6721df WHIRLPOOL 93e053d8b6cf9e67f0294117995443865e29923c899a0263ce117979f982155e4020a88ba865a4b92d162fc8842f5b95c4b512575d153cb7f9fa9445880e1b5c
+DIST sqlitebrowser-3.7.0.tar.gz 1509766 SHA256 3093a1dcf5b3138c1adf29857d62249ab2b068e70b001869a31151763e28cc3a SHA512 f4c2f517a0b04fb74d8ec656e34f93d467a233040b36fab8f6f172681eb213be5c08131ecdaaa542d833bf24ef564d8e6f800e861b9a20d53de7a585aa104533 WHIRLPOOL 3bbfaa99f179c10f542d344ce6fe55656aa750a52925b2de590e2ba24bcafa95604646e6b218bca4f461390268de2bc2fb29d0de1deaf06438b33cb660e614e8
diff --git a/dev-db/sqlitebrowser/files/sqlitebrowser-3.7.0-unbundle.patch b/dev-db/sqlitebrowser/files/sqlitebrowser-3.7.0-unbundle.patch
new file mode 100644
index 00000000000..8dbe870f2e8
--- /dev/null
+++ b/dev-db/sqlitebrowser/files/sqlitebrowser-3.7.0-unbundle.patch
@@ -0,0 +1,18 @@
+--- sqlitebrowser-3.7.0/CMakeLists.txt
++++ sqlitebrowser-3.7.0/CMakeLists.txt
+@@ -29,15 +29,9 @@
+ find_package(Antlr2)
+
+ set(QHEXEDIT_DIR libs/qhexedit)
+-set(QCUSTOMPLOT_DIR libs/qcustomplot-source)
+ set(QSCINTILLA_DIR libs/qscintilla/Qt4Qt5)
+
+-if(NOT ANTLR2_FOUND)
+- set(ANTLR_DIR libs/antlr-2.7.7)
+- add_subdirectory(${ANTLR_DIR})
+-endif()
+ add_subdirectory(${QHEXEDIT_DIR})
+-add_subdirectory(${QCUSTOMPLOT_DIR})
+ add_subdirectory(${QSCINTILLA_DIR})
+
+ if(USE_QT5)
diff --git a/dev-db/sqlitebrowser/sqlitebrowser-3.7.0.ebuild b/dev-db/sqlitebrowser/sqlitebrowser-3.7.0.ebuild
new file mode 100644
index 00000000000..041e204fb68
--- /dev/null
+++ b/dev-db/sqlitebrowser/sqlitebrowser-3.7.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+CMAKE_MAKEFILE_GENERATOR=ninja
+
+inherit eutils cmake-utils
+
+DESCRIPTION="SQLite Database Browser"
+HOMEPAGE="http://sqlitebrowser.org"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3 MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="qt4 qt5 test"
+
+REQUIRED_USE="^^ ( qt4 qt5 )"
+
+DEPEND="
+ dev-db/sqlite:3
+ dev-java/antlr:0[cxx]
+ dev-libs/qcustomplot[qt5=]
+ x11-libs/qscintilla
+ qt4? (
+ dev-qt/qtcore:4
+ dev-qt/qtgui:4
+ )
+ qt5? (
+ dev-qt/linguist:5
+ dev-qt/linguist-tools:5
+ dev-qt/qtnetwork:5
+ dev-qt/qttest:5
+ dev-qt/qtwidgets:5
+ )"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}"/${P}-unbundle.patch )
+
+src_prepare() {
+ # https://github.com/qingfengxia/qhexedit still bundled
+ # x11-libs/qscintilla[qt4?,qt5?] still bundled
+ find libs/{antlr-2.7.7,qcustomplot-source} -delete || die
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_use qt5)
+ $(cmake-utils_use_enable test TESTING)
+ )
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+ doicon images/sqlitebrowser.svg
+}